gstreamer-plugins-ugly-1.12.5-lp151.3.2.armv7hl.rpm


Advertisement

Description

gstreamer-plugins-ugly - GStreamer Streaming-Media Framework Plug-Ins

Property Value
Distribution openSUSE Leap 15.1
Repository Packman all
Package filename gstreamer-plugins-ugly-1.12.5-lp151.3.2.armv7hl.rpm
Package name gstreamer-plugins-ugly
Package version 1.12.5
Package release lp151.3.2
Package architecture armv7hl
Package type rpm
Category Productivity/Multimedia/Other
Homepage http://gstreamer.freedesktop.org/
License LGPL-2.1-or-later
Maintainer -
Download size 168.75 KB
Installed size 407.06 KB
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.
This package contains well-written plug-ins that can't be shipped in
gstreamer-plugins-good because:
- the license is not LGPL
- the license of the library is not LGPL
- there are possible licensing issues with the code.

Alternatives

Package Version Architecture Repository
gstreamer-plugins-ugly-1.12.5-3.2.aarch64.rpm 1.12.5 aarch64 Packman
gstreamer-plugins-ugly-1.12.5-lp151.3.3.x86_64.rpm 1.12.5 x86_64 Packman
gstreamer-plugins-ugly-1.12.5-lp151.2.4.x86_64.rpm 1.12.5 x86_64 openSUSE Oss
gstreamer-plugins-ugly - - -

Requires

Name Value
gstreamer >= 1.12.0
gstreamer-plugins-base >= 1.12.0
ld-linux-armhf.so.3 -
ld-linux-armhf.so.3(GLIBC_2.4) -
liba52.so.0 -
libc.so.6 -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libcdio.so.16 -
libcdio.so.16(CDIO_16) -
libdvdread.so.4 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.5) -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libgstaudio-1.0.so.0 -
libgstbase-1.0.so.0 -
libgstpbutils-1.0.so.0 -
libgstreamer-1.0.so.0 -
libgstrtsp-1.0.so.0 -
libgstsdp-1.0.so.0 -
libgsttag-1.0.so.0 -
libgstvideo-1.0.so.0 -
libm.so.6 -
libmp3lame.so.0 -
libmpeg2.so.0 -
libmpg123.so.0 -
liborc-0.4.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.4) -
libtwolame.so.0 -

Provides

Name Value
gst-plugins-ugly = 1.12.5
gstreamer-plugins-ugly = 1.12.5-lp151.3.2
gstreamer-plugins-ugly(armv7hl-32) = 1.12.5-lp151.3.2
gstreamer1(decoder-application/vnd.rn-realmedia) -
gstreamer1(decoder-application/x-pn-realaudio) -
gstreamer1(decoder-application/x-rdt) -
gstreamer1(decoder-audio/ac3) -
gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=1) -
gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=2) -
gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=3) -
gstreamer1(decoder-audio/x-ac3) -
gstreamer1(decoder-audio/x-lpcm) -
gstreamer1(decoder-audio/x-private1-ac3) -
gstreamer1(decoder-audio/x-private1-lpcm) -
gstreamer1(decoder-audio/x-private2-lpcm) -
gstreamer1(decoder-video/mpeg)(mpegversion=1)(systemstream=false) -
gstreamer1(decoder-video/mpeg)(mpegversion=2)(systemstream=false) -
gstreamer1(element-a52dec) -
gstreamer1(element-cdiocddasrc) -
gstreamer1(element-dvdlpcmdec) -
gstreamer1(element-dvdreadsrc) -
gstreamer1(element-dvdsubdec) -
gstreamer1(element-dvdsubparse) -
gstreamer1(element-lamemp3enc) -
gstreamer1(element-mpeg2dec) -
gstreamer1(element-mpg123audiodec) -
gstreamer1(element-pnmsrc) -
gstreamer1(element-rademux) -
gstreamer1(element-rdtdepay) -
gstreamer1(element-rdtmanager) -
gstreamer1(element-rmdemux) -
gstreamer1(element-rtspreal) -
gstreamer1(element-twolamemp2enc) -
gstreamer1(element-xingmux) -
gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=1) -
gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=2) -
gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=3) -
gstreamer1(urisource-cdda) -
gstreamer1(urisource-dvd) -
gstreamer1(urisource-pnm) -
libgsta52dec.so -
libgstcdio.so -
libgstdvdlpcmdec.so -
libgstdvdread.so -
libgstdvdsub.so -
libgstlame.so -
libgstmpeg2dec.so -
libgstmpg123.so -
libgstrealmedia.so -
libgsttwolame.so -
libgstxingmux.so -
patched_subset -

Download

Type URL
Mirror packman.inode.at
Binary Package gstreamer-plugins-ugly-1.12.5-lp151.3.2.armv7hl.rpm
Source Package gstreamer-plugins-ugly-1.12.5-lp151.3.2.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.1/ packman
  2. Install gstreamer-plugins-ugly rpm package:
    # zypper install gstreamer-plugins-ugly

Files

Path
/usr/lib/gstreamer-1.0/libgsta52dec.so
/usr/lib/gstreamer-1.0/libgstcdio.so
/usr/lib/gstreamer-1.0/libgstdvdlpcmdec.so
/usr/lib/gstreamer-1.0/libgstdvdread.so
/usr/lib/gstreamer-1.0/libgstdvdsub.so
/usr/lib/gstreamer-1.0/libgstlame.so
/usr/lib/gstreamer-1.0/libgstmpeg2dec.so
/usr/lib/gstreamer-1.0/libgstmpg123.so
/usr/lib/gstreamer-1.0/libgstrealmedia.so
/usr/lib/gstreamer-1.0/libgsttwolame.so
/usr/lib/gstreamer-1.0/libgstxingmux.so
/usr/share/licenses/gstreamer-plugins-ugly/COPYING

Changelog

2018-03-29 - bjorn.lie@gmail.com
- Update to version 1.12.5:
+ Bugs fixed: bgo#792111.
- Drop gst-ugly-amrnwbdec-fixes.patch and
gst-x264enc-fix-build-x264-multiple-bit-depths.patch: Fixed
upstream.
2018-03-26 - bjorn.lie@gmail.com
- Add gst-x264enc-fix-build-x264-multiple-bit-depths.patch:
x264enc: fix build with newer x264 with support for multiple bit
depths (bgo#792111).
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2018-02-21 - tchvatal@suse.com
- Run over with spec-cleaner
- Remove conditions around package definition, this makes
source_validator happy as orig-addons are not built in openSUSE
yet they are mentioned in baselibs.conf
2018-02-20 - bjorn.lie@gmail.com
- Move pkgconfig(libmpeg2) BuildRequires and resulting plugin out
of conditional build, since it is now available in openSUSE.
2018-01-23 - bjorn.lie@gmail.com
- Add gst-ugly-amrnwbdec-fixes.patch: Fixes for amr plugins, only
built on third party.
2017-12-14 - zaitor@opensuse.org
- Drop obsolete
gst-plugins-ugly:%%{_libdir}/gstreamer-%%{gst_branch}/libgstmad.so
Provides from orig-addon sub-package, no longer true nor needed.
2017-12-11 - zaitor@opensuse.org
- Update to version 1.12.4:
+ Bugs fixed: bgo#791301, bgo#788119, bgo#787817, bgo#787056,
bgo#787014.
2017-11-30 - zaitor@opensuse.org
- Add python3-xml BuildRequires as it is needed for xml support.
2017-11-29 - dimstar@opensuse.org
- Switch to python3:
+ Replace python-base BuildRequires with python3-base.
+ Export PYTHON=/usr/bin/python3 before calling configure.

See Also

Package Description
gstreamer-plugins-ugly-64bit-1.12.5-3.2.aarch64_ilp32.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-doc-1.12.5-3.2.aarch64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-doc-1.12.5-lp151.3.2.armv7hl.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-doc-1.12.5-lp151.3.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-lang-1.12.5-3.2.noarch.rpm Translations for package gstreamer-plugins-ugly
gstreamer-plugins-ugly-lang-1.12.5-lp151.3.2.noarch.rpm Translations for package gstreamer-plugins-ugly
gstreamer-plugins-ugly-lang-1.12.5-lp151.3.3.noarch.rpm Translations for package gstreamer-plugins-ugly
gstreamer-plugins-ugly-orig-addon-1.12.5-3.2.aarch64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-orig-addon-1.12.5-lp151.3.2.armv7hl.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-orig-addon-1.12.5-lp151.3.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-orig-addon-64bit-1.12.5-3.2.aarch64_ilp32.rpm GStreamer Streaming-Media Framework Plug-Ins
gtk-chtheme-0.3.1-lp151.2.1.x86_64.rpm GTK2 Theme Switcher
gtk-gnutella-1.1.11-3.2.x86_64.rpm Gnutella Peer to Peer Client
gtk-vector-screenshot-0.3.2-lp151.2.1.x86_64.rpm Module to create vector screenshots of GTK3-based programs
guayadeque-0.4.6-lp151.2.1.aarch64.rpm Guayadeque Music Player
Advertisement
Advertisement